Пингвиньи радости

Mini web-сервер для печати чеков на фискальных регистраторах из мобильных приложений через HTTP запрос JSON.
Audim
Администратор
Сообщения: 1877
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 27 сен 2019, 18:20

Да, видел :)

Для rm64 нужен deb или rpm пакет?

Shram
Сообщения: 14
Зарегистрирован: 11 янв 2018, 21:50

Re: Пингвиньи радости

Сообщение Shram » 04 окт 2019, 17:11

Audim писал(а):
27 сен 2019, 18:20
Да, видел :)

Для rm64 нужен deb или rpm пакет?
Нужен deb

Audim
Администратор
Сообщения: 1877
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 08 окт 2019, 11:50

Ок...

Shram
Сообщения: 14
Зарегистрирован: 11 янв 2018, 21:50

Re: Пингвиньи радости

Сообщение Shram » 14 окт 2019, 17:04

Есть какой-нибудь прогноз по raspberry?

Audim
Администратор
Сообщения: 1877
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 14 окт 2019, 17:46

делаю...

Shram
Сообщения: 14
Зарегистрирован: 11 янв 2018, 21:50

Re: Пингвиньи радости

Сообщение Shram » 01 ноя 2019, 17:45

Есть прогноз по сроку? :)

Audim
Администратор
Сообщения: 1877
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 10 ноя 2019, 00:15

Собрал DEB пакет под ARM.

Но не на чем проверить.
С эмуляторами не срослось....

Попробуйте https://kkmserver.ru/Donload/KkmServerArm.deb

denis
Сообщения: 1
Зарегистрирован: 13 дек 2019, 11:47

Re: Пингвиньи радости

Сообщение denis » 13 дек 2019, 11:51

Установил Debian 10
В итоге там нет куча зависимостей и пришлось ставить репозиторий

Код: Выделить всё

deb http://security.debian.org/debian-security jessie/updates main
Установил зависимости, все ок.

Делаю установку

Код: Выделить всё

root@vSrv98:~# sudo dpkg -i KkmServer.deb
Selecting previously unselected package kkmserver.
(Reading database ... 51900 files and directories currently installed.)
Preparing to unpack KkmServer.deb ...
Unpacking kkmserver (2.1.31.21) ...
Setting up kkmserver (2.1.31.21) ...
Adding user root to group dialout
root@vSrv98:~# cat: /etc/lsb-release: No such file or directory
cat: /etc/lsb-release: No such file or directory
cat: /etc/lsb-release: No such file or directory
В итоге сервер вроде поставился, но потом странная команда выполняется cat: /etc/lsb-release и все зависает.
Потом непонятно как запустить ккм сервер, при этом при удалении он пытается удалить папку /opt/Settings, которой тоже не существует

Код: Выделить всё

root@vSrv98:~# sudo apt remove kkmserver
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  apache2-data apache2-utils libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap libbrotli1
  libjansson4 liblua5.2-0
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  kkmserver
0 upgraded, 0 newly installed, 1 to remove and 7 not upgraded.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 52177 files and directories currently installed.)
Removing kkmserver (2.1.31.21) ...
Failed to stop kkmserver.service: Unit kkmserver.service not loaded.


dpkg: warning: while removing kkmserver, directory '/usr/lib64' not empty so not removed
dpkg: warning: while removing kkmserver, directory '/opt/kkmserver/Settings' not empty so not removed

Что я делаю не так ?

Audim
Администратор
Сообщения: 1877
Зарегистрирован: 17 мар 2015, 18:36

Re: Пингвиньи радости

Сообщение Audim » 18 дек 2019, 01:28

После установки (даже если была ошибка при установке) что выдает на команду "/opt/kkmserver/kkmserver" ??

MF4
Сообщения: 7
Зарегистрирован: 19 дек 2019, 15:05

Re: Пингвиньи радости

Сообщение MF4 » 19 дек 2019, 15:52

Пытаюсь поставить ARM пакет KkmServerArm.deb на Raspberry с Raspbian, при установке пишет, что установка невозможна, т. к. архитектура ARMEL не поддерживается, только ARMHF.
Добавил armel через - dpkg --add-architecture armel, но при последующем apt-get update пишет пять сообщений подряд в духе "N: Пропускается получение настроенного файла «main/binary-armel/Packages», так как репозиторий «http://archive.raspberrypi.org/debian buster InRelease» не поддерживает архитектуру «armel»"
Как то можно это исправить? Имеет смысл дальше ставить KkmServerArm?
Последний раз редактировалось MF4 19 дек 2019, 18:08, всего редактировалось 1 раз.

Ответить